<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.alarm.mapper.DmpDeviceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.alarm.domain.DmpDevice">
        <id column="id" property="id" />
        <result column="device_id" property="deviceId" />
        <result column="device_name" property="deviceName" />
        <result column="device_type" property="deviceType" />
        <result column="product_id" property="productId" />
        <result column="sim_code" property="simCode" />
        <result column="imsi_code" property="imsiCode" />
        <result column="subscribe_flag" property="subscribeFlag" />
        <result column="node_type" property="nodeType" />
        <result column="group_id" property="groupId" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_by" property="createdBy" />
        <result column="created_time" property="createdTime" />
        <result column="updated_by" property="updatedBy" />
        <result column="updated_time" property="updatedTime" />
        <result column="tenant_id" property="tenantId" />
        <result column="company_code" property="companyCode" />
        <result column="install_address" property="installAddress" />
        <result column="service_status" property="serviceStatus" />
        <result column="product_code" property="productCode" />
        <result column="device_uuid" property="deviceUuid" />
    </resultMap>

</mapper>
